Skip to main content
POST
Upload a dispute document
v1 · Base URL https://api.fintoc.com/v1

Authorizations

Authorization
string
header
required

Path Parameters

dispute_id
string
required

The dispute the document is uploaded to, prefixed with cb_ (for example cb_8anBm9YpVwXzKqL2).

Body

multipart/form-data
file
file
required

The document to upload. Must be a PDF, JPEG, or PNG and smaller than 10 MB.

Response

The uploaded dispute document.

id
string
required

Unique identifier of the dispute document.

Example:

"cbd_8anBm9YpVwXzKqL2"

object
any
required

Type of the object. Always dispute_document.

content_type
string | null
required

Media type of the uploaded file, for example application/pdf. null when Fintoc cannot determine the type.

Example:

"application/pdf"

created_at
string<date-time>
required

ISO 8601 datetime in UTC when the document was uploaded.

Example:

"2024-01-16T17:04:10.284Z"

dispute_id
string
required

Identifier of the dispute this document belongs to.

Example:

"cb_8anBm9YpVwXzKqL2"

filename
string
required

Name of the uploaded file.

Example:

"evidence.pdf"

size
integer
required

Size of the uploaded file in bytes.

Example:

102400